Bug 103060 - Japanese era representation is not correct
Summary: Japanese era representation is not correct
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
(earliest affected) release
Hardware: All All
: medium normal
Assignee: Not Assigned
Whiteboard: target:5.3.0
Depends on:
Reported: 2016-10-08 22:16 UTC by jun meguro
Modified: 2016-12-07 00:51 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:

era present sample (10.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-10-08 22:16 UTC, jun meguro

Note You need to log in before you can comment on or make changes to this bug.
Description jun meguro 2016-10-08 22:16:40 UTC
Created attachment 127884 [details]
era present sample

1,Open new spredsheet.
2,Input some date.
3,Set cell format as "GGG".
4,Date presented as "西暦". but it must be presented as "平成" (or other era suitable to date).
Comment 1 tommy27 2016-10-10 11:49:53 UTC
could you ping the Japanese localization team and ask them to test this one?
Comment 2 sophie 2016-10-10 12:05:11 UTC
Yes, will do and ask them to report here - Sophie
Comment 3 Shinji Enoki 2016-10-10 16:28:52 UTC
I was reproduced in the following environment.

Build ID: 8f96e87c890bf8fa77463cd4b640a2312823f3ad
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; 
Locale: ja-JP (ja_JP.utf8); Calc: group
Debian GNU/Linux 8.2 (jessie) x86-64

In the Japanese locale, it is displayed as follows:
GGGE : 平成28 -> Japanese Era(Heisei)
GGG  : 西暦 -> Anno Domini

In the Chinese(traditional) locale, it is displayed as follows:
GGGE : 中華民國105 -> Minguo calendar
GGG  : 西元 -> Anno Domini

In the Thai locale, it is displayed as follows:
GGGE : พุทธศักราช59 -> Buddhist calendar
GGG  : คริสต์ศักราช -> Anno Domini

"GGG" , localization function is not valid.

This issue has been discussed in the following ja-discuss mailing list.
Comment 4 Takeshi Abe 2016-10-12 01:30:28 UTC
As Sinji described above, this issue is not Japanese-specific.
The modifier "GGG" should print just the full name of locale-dependent era
even without ending with "E", as Excel does.
Similarly, "GG" is supposed for shorter name of era, "G" for the shortest one.
Comment 5 Takeshi Abe 2016-10-12 12:14:20 UTC
By the way, one of possible workarounds is to specify "[~gengou]GGG" instead of sole "GGG".
Comment 6 Commit Notification 2016-10-24 11:06:02 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":


tdf#103060 Format "GGG" as the era name of a locale-dependent calendar

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2016-12-06 11:35:41 UTC
Hello Takeshi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?